Skip to content

Export API Keys

Reference for the export_api_keys endpoints of the Surfmeter API.

Surfmeter API – Export API Keys v1

The Surfmeter API lets you manage clients, users, capabilities, measurements, and organization-wide settings programmatically.


Servers

Description URL
https://surfmeter-server.{host}/client_admin_api/v1 https://surfmeter-server.{host}/client_admin_api/v1

Export API Keys


GET /export_api_keys

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Response 200 OK

{
    "export_api_keys": [
        {
            "id": 0,
            "name": "string",
            "valid_from": "string",
            "valid_until": "string",
            "key_preview": "string"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "properties": {
        "export_api_keys": {
            "type": "array",
            "items": {
                "type": "object",
                "properties": {
                    "id": {
                        "type": "integer"
                    },
                    "name": {
                        "type": "string",
                        "nullable": true
                    },
                    "valid_from": {
                        "type": "string"
                    },
                    "valid_until": {
                        "type": "string"
                    },
                    "key_preview": {
                        "type": "string"
                    }
                },
                "required": [
                    "id",
                    "valid_from",
                    "valid_until",
                    "key_preview"
                ]
            }
        }
    },
    "required": [
        "export_api_keys"
    ]
}

POST /export_api_keys

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Request body

{
    "name": "string",
    "valid_until": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "description": "Request data for creating an export API key",
    "type": "object",
    "properties": {
        "name": {
            "type": "string"
        },
        "valid_until": {
            "type": "string"
        }
    }
}

Response 201 Created

{
    "export_api_key": {
        "id": 0,
        "valid_from": "2026-01-15T10:30:00Z",
        "valid_until": "2026-01-15T10:30:00Z",
        "name": "string",
        "api_key": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "description": "Response for export API key create action",
    "type": "object",
    "required": [
        "export_api_key"
    ],
    "properties": {
        "export_api_key": {
            "type": "object",
            "required": [
                "id",
                "valid_from",
                "valid_until",
                "api_key"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "valid_from": {
                    "type": "string",
                    "format": "date-time",
                    "example": "2026-01-15T10:30:00Z"
                },
                "valid_until": {
                    "type": "string",
                    "format": "date-time",
                    "example": "2026-01-15T10:30:00Z"
                },
                "name": {
                    "type": "string",
                    "nullable": true
                },
                "api_key": {
                    "type": "string"
                }
            }
        }
    }
}

GET /export_api_keys/{id}

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.
id path string No

Response 200 OK

{
    "export_api_key": {
        "id": 0,
        "valid_from": "2026-01-15T10:30:00Z",
        "valid_until": "2026-01-15T10:30:00Z",
        "name": "string",
        "key_preview": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "description": "Response for export API key show action",
    "type": "object",
    "required": [
        "export_api_key"
    ],
    "properties": {
        "export_api_key": {
            "type": "object",
            "required": [
                "id",
                "valid_from",
                "valid_until",
                "key_preview"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "valid_from": {
                    "type": "string",
                    "format": "date-time",
                    "example": "2026-01-15T10:30:00Z"
                },
                "valid_until": {
                    "type": "string",
                    "format": "date-time",
                    "example": "2026-01-15T10:30:00Z"
                },
                "name": {
                    "type": "string",
                    "nullable": true
                },
                "key_preview": {
                    "type": "string"
                }
            }
        }
    }
}

DELETE /export_api_keys/{id}

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.
id path string No

Response 200 OK

Schema of the response body
{
    "description": "Response for export API key destroy action",
    "type": "object",
    "properties": {},
    "additionalProperties": false
}

Schemas

ExportApiKeyCreateData

Name Type
name string
valid_until string

ExportApiKeyCreateResponse

Name Type
export_api_key Properties: id, valid_from, valid_until, name, api_key

ExportApiKeyDestroyResponse

ExportApiKeyIndexResponse

Name Type
export_api_keys Array<Properties: id, name, valid_from, valid_until, key_preview>

ExportApiKeyShowResponse

Name Type
export_api_key Properties: id, valid_from, valid_until, name, key_preview

Security schemes

Name Type Scheme Description
ApiKeyAuth apiKey API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.